Package bitel.billing.server.contract.bean.find

# Class SearchContracts

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.contract.bean.find.SearchContracts

public class SearchContracts extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final SearchContract[]`
  `searchContracts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchContracts(Map<String,String> params)`
  При создании мы ему сразу закидываем параметры поиска( по которым формируются SearchContract )

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<Contract>`
  `findContract(Connection con, Calendar date, String[] tokens, StringBuilder report)`
  Поиск по всем SearchContract-ам.
  `SearchContractModule`
  `getSearchContractModule(String mode)`
  `boolean`
  `isAndSearch()`
  `SearchContract[]`
  `loadSearchContracts(Map<String,String> params)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### searchContracts

    public final SearchContract[] searchContracts

- ## Constructor Details

  - ### SearchContracts

    public SearchContracts(Map<String,String> params)
    При создании мы ему сразу закидываем параметры поиска( по которым формируются SearchContract )

- ## Method Details

  - ### findContract

    public final List<Contract> findContract(Connection con, Calendar date, String[] tokens, StringBuilder report)
    Поиск по всем SearchContract-ам.
    Parameters:
      `date` - - дата с которой период действия должен пересекаться.
      `tokens` - - распарсенная строка из которой достаем элемент по которому будет производится поиск договора.
    Returns:
      - списко договоров, не null.

  - ### isAndSearch

    public boolean isAndSearch()

  - ### loadSearchContracts

    public SearchContract[] loadSearchContracts(Map<String,String> params)

  - ### getSearchContractModule

    public SearchContractModule getSearchContractModule(String mode)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`